﻿using API_sm.ModelBase;
using Microsoft.EntityFrameworkCore;

namespace API_sm.BaseConnection
{
    public class ApplicationContext: DbContext
    {
        public DbSet<Client> client { get; set; }
        public DbSet<Provision_of_services> provision_of_services { get; set; }
        public DbSet<Services> services { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer(Constant.SqlConnection);
        }

    }
}
